Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	FtpCube - A graphical (S)FTP client
Name:      	ftpcube
Version:   	0.5.1
Release:   	1
License: 	ARTISTIC
URL:		http://numpy.scipy.org//
Group:     	Networking/File Transfer
Source0: 	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
Requires:	wxPython

%description
Ftpcube is a graphical (S)FTP client written in Python using the wxPython
graphical toolkit, and is based on LeechFTP by Jan Debis. Ftpcube aims
to provide a high quality GUI, as well as a rich feature set, and
surpasses LeechFTP in terms of functionality.

%prep
%setup -q -n %{name}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
			    --prefix=%_prefix \
			    --install-scripts=%_bindir \
			    --root $RPM_BUILD_ROOT

# install additional files
install -D %{SOURCE2} $RPM_BUILD_ROOT%_pixmaps/%{name}.png
install -D %{SOURCE1} $RPM_BUILD_ROOT%_applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README
%_libdir
%_bindir
%_pixmaps
%_applications

%changelog
* Fri Mar 14 2008 Christian Wasem <wasem@ccux-linux.de> 0.5.1-1
- initial release
